## DzlGraphModel

DzlGraphModel

## Functions

DzlGraphModel * | dzl_graph_view_model_new ()
guint | dzl_graph_view_model_add_column ()
guint | dzl_graph_view_model_get_n_columns ()
GTimeSpan | dzl_graph_view_model_get_timespan ()
void | dzl_graph_view_model_set_timespan ()
gint64 | dzl_graph_view_model_get_end_time ()
guint | dzl_graph_view_model_get_max_samples ()
void | dzl_graph_view_model_set_max_samples ()
void | dzl_graph_view_model_push ()
gboolean | dzl_graph_view_model_get_iter_first ()
gboolean | dzl_graph_view_model_get_iter_last ()
gboolean | dzl_graph_view_model_iter_next ()
void | dzl_graph_view_model_iter_get ()
void | dzl_graph_view_model_iter_get_value ()
gint64 | dzl_graph_view_model_iter_get_timestamp ()
void | dzl_graph_view_model_iter_set ()
void | dzl_graph_view_model_iter_set_value ()

## Properties

guint | max-samples | Read / Write / Construct
gint64 | timespan | Read / Write / Construct
double | value-max | Read / Write
double | value-min | Read / Write

## Signals

void | changed | Run Last

## Types and Values

#define | DZL_TYPE_GRAPH_MODEL
struct | DzlGraphModelClass
| DzlGraphModel

## Object Hierarchy

        GObject
        ╰── DzlGraphModel
            ╰── DzlCpuModel

## Description

## Functions

### dzl_graph_view_model_new ()

    DzlGraphModel *
    dzl_graph_view_model_new (void);

### dzl_graph_view_model_add_column ()

    guint
    dzl_graph_view_model_add_column (DzlGraphModel *self,
                                     DzlGraphColumn *column);

### dzl_graph_view_model_get_n_columns ()

    guint
    dzl_graph_view_model_get_n_columns (DzlGraphModel *self);

### dzl_graph_view_model_get_timespan ()

    GTimeSpan
    dzl_graph_view_model_get_timespan (DzlGraphModel *self);

### dzl_graph_view_model_set_timespan ()

    void
    dzl_graph_view_model_set_timespan (DzlGraphModel *self,
                                       GTimeSpan timespan);

### dzl_graph_view_model_get_end_time ()

    gint64
    dzl_graph_view_model_get_end_time (DzlGraphModel *self);

### dzl_graph_view_model_get_max_samples ()

    guint
    dzl_graph_view_model_get_max_samples (DzlGraphModel *self);

### dzl_graph_view_model_set_max_samples ()

    void
    dzl_graph_view_model_set_max_samples (DzlGraphModel *self,
                                          guint n_rows);

### dzl_graph_view_model_push ()

    void
    dzl_graph_view_model_push (DzlGraphModel *self,
                               DzlGraphModelIter *iter,
                               gint64 timestamp);

#### Parameters

self | Table to push to |
iter | Newly created DzlGraphModelIter. | [out]
timestamp | Time of new event |

### dzl_graph_view_model_get_iter_first ()

    gboolean
    dzl_graph_view_model_get_iter_first (DzlGraphModel *self,
                                         DzlGraphModelIter *iter);

### dzl_graph_view_model_get_iter_last ()

    gboolean
    dzl_graph_view_model_get_iter_last (DzlGraphModel *self,
                                        DzlGraphModelIter *iter);

### dzl_graph_view_model_iter_next ()

    gboolean
    dzl_graph_view_model_iter_next (DzlGraphModelIter *iter);

### dzl_graph_view_model_iter_get ()

    void
    dzl_graph_view_model_iter_get (DzlGraphModelIter *iter,
                                   gint first_column,
                                   ...);

### dzl_graph_view_model_iter_get_value ()

    void
    dzl_graph_view_model_iter_get_value (DzlGraphModelIter *iter,
                                         guint column,
                                         GValue *value);

### dzl_graph_view_model_iter_get_timestamp ()

    gint64
    dzl_graph_view_model_iter_get_timestamp
                                   (DzlGraphModelIter *iter);

### dzl_graph_view_model_iter_set ()

    void
    dzl_graph_view_model_iter_set (DzlGraphModelIter *iter,
                                   gint first_column,
                                   ...);

### dzl_graph_view_model_iter_set_value ()

    void
    dzl_graph_view_model_iter_set_value (DzlGraphModelIter *iter,
                                         guint column,
                                         const GValue *value);

Sets an individual value within a specific column.

[rename-to dzl_graph_view_model_iter_set]

#### Parameters

iter | the iter to set |
column | the column to set |
value | the new value for the column |

Since: 3.30

## Types and Values

### DZL_TYPE_GRAPH_MODEL

    #define DZL_TYPE_GRAPH_MODEL (dzl_graph_view_model_get_type())

### struct DzlGraphModelClass

    struct DzlGraphModelClass {
      GObjectClass parent;
    };

### DzlGraphModel

    typedef struct _DzlGraphModel DzlGraphModel;

## Property Details

### The `“max-samples”` property

      “max-samples”              guint

Max Samples.

Owner: DzlGraphModel

Flags: Read / Write / Construct

Allowed values: >= 1

Default value: 120

### The `“timespan”` property

      “timespan”                 gint64

Timespan to visualize, in microseconds.

Owner: DzlGraphModel

Flags: Read / Write / Construct

Allowed values: >= 1

Default value: 60000000

### The `“value-max”` property

      “value-max”                double

Value Max.

Owner: DzlGraphModel

Flags: Read / Write

Default value: 100

### The `“value-min”` property

      “value-min”                double

Value Min.

Owner: DzlGraphModel

Flags: Read / Write

Default value: 100

## Signal Details

### The `“changed”` signal

    void
    user_function (DzlGraphModel *dzlgraphmodel,
                   gpointer       user_data)

Flags: Run Last